VERSION 5.00
Begin VB.UserControl ctlLVExportManager 
   ClientHeight    =   315
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   645
   ScaleHeight     =   315
   ScaleWidth      =   645
   Begin VB.CommandButton btnExport 
      Height          =   315
      Left            =   315
      Picture         =   "ctlLVExportManager.ctx":0000
      Style           =   1  'Grafisch
      TabIndex        =   1
      ToolTipText     =   "Export list"
      Top             =   0
      Width           =   315
   End
   Begin VB.CommandButton btnPrint 
      Height          =   315
      Left            =   0
      Picture         =   "ctlLVExportManager.ctx":014A
      Style           =   1  'Grafisch
      TabIndex        =   0
      ToolTipText     =   "Print list"
      Top             =   0
      Width           =   315
   End
   Begin VB.Menu mnPopupExport 
      Caption         =   "PopupExport"
      Visible         =   0   'False
      Begin VB.Menu mnPopupExportTextfile 
         Caption         =   "Export to &textfile..."
      End
      Begin VB.Menu mnPopupExportExcel 
         Caption         =   "Export to Microsoft E&xcel..."
      End
   End
End
Attribute VB_Name = "ctlLVExportManager"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'==============================================================================
'Contains the Control that, bound to a ListView, can print and export it.
'
'Scope:     Application-public creatable.
'==============================================================================

Option Explicit

Dim BoundListView As ListView 'bound ListView
Dim mTitle As String 'Title

'==============================================================================
'Reason:    Binds a ListView to this Print/Export-Manager. The contents of
'           that control are used when exporting or printing.
'
'Arguments: - ListView      The ListView that should be bound.
'==============================================================================
Public Sub BindToListView(ListView As Object)
    Set BoundListView = ListView
End Sub

'Sets the ListView-Title
Property Let Title(ByVal value As String)
    mTitle = value
End Property

Private Sub btnExport_Click()
    'Display popup menu for exporting
    PopupMenu mnPopupExport, , btnExport.Left, btnExport.Top + btnExport.Height
End Sub

Private Sub btnPrint_Click()
    'Print selected, show options dialog
    With New frmLVPrintOptions
        .ShowDlg BoundListView, mTitle
    End With
End Sub

Private Sub mnPopupExportExcel_Click()
    'export to Excel selected, show options dialog
    With New frmLVExcelExportOptions
        .ShowDlg BoundListView, mTitle
    End With
End Sub

Private Sub mnPopupExportTextfile_Click()
    'export to textfile selected, show options dialog
    With New frmLVTextfileExportOptions
        .ShowDlg BoundListView, mTitle
    End With
End Sub

Private Sub UserControl_Resize()
    Width = btnExport.Left + btnExport.Width
    Height = btnPrint.Height
End Sub
